org.apache.fop.render.pcl.fonts

## Class PCLFontSegment

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLFontSegment

-     public class PCLFontSegment
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PCLFontSegment.SegmentID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLFontSegment(PCLFontSegment.SegmentID identifier, byte[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()`
    `PCLFontSegment.SegmentID` | `getIdentifier()`
    `int` | `getSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLFontSegment

          public PCLFontSegment(PCLFontSegment.SegmentID identifier,
                                byte[] data)

  - ### Method Detail

    - #### getData

          public byte[] getData()

    - #### getIdentifier

          public PCLFontSegment.SegmentID getIdentifier()

    - #### getSize

          public int getSize()

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.